from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XMasterPasswordHandling2(XMasterPasswordHandling, Protocol):
    def useDefaultMasterPassword(self, xHandler: XInteractionHandler) -> bool: ...
    def isDefaultMasterPasswordUsed(self) -> bool: ...
